summaryrefslogtreecommitdiffstats
path: root/mga-hdlists-cauldron
diff options
context:
space:
mode:
Diffstat (limited to 'mga-hdlists-cauldron')
-rwxr-xr-xmga-hdlists-cauldron22
1 files changed, 22 insertions, 0 deletions
diff --git a/mga-hdlists-cauldron b/mga-hdlists-cauldron
new file mode 100755
index 0000000..dc4404c
--- /dev/null
+++ b/mga-hdlists-cauldron
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/mgatools/functions
+
+if [ "$1" = "--dry-run" ]; then
+ dryrun=echo
+ shift
+fi
+
+if [ $# != 2 ]; then
+ echo "Usage: $0 [--dry-run] <section>" >&2
+ exit 1
+fi
+
+section="$1"
+
+update_distro_hdlist "cauldron" "$section" "updates_testing"
+update_distro_hdlist "cauldron" "$section" "release"
+update_common_MD5SUM "cauldron"
+mirror_repository "cauldron"